/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-01-24 16:05:16
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-04-03 16:27:37
 * @FilePath: \general-ai-platform-web\mock\pools\menuData.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/** 菜单目录信息 */
export const mockGetMenuData = {
  data: {
    routes: [
      // {
      //   path: '/welcome',
      //   key: '0',
      //   name: 'welcome',
      //   icon: 'HomeOutlined',
      //   access: '',
      //   component: 'Welcome',
      //   label: '首页',
      //   title: '首页',
      // },
      {
        path: '/realTime',
        key: '1',
        name: 'realTime',
        icon: '',
        component: '',
        title: '实时分析',
        access: 'canReadMenu',
        routes: [
          {
            component: 'RealTime/InvolvedList',
            icon: 'RecordSummary',
            key: '101',
            name: 'realTime-involved-list',
            path: '/realTime/involved-list',
            routes: [],
            title: '记录汇总',
            access: 'canReadMenu',
          },
          {
            component: 'RealTime/AlarmList',
            icon: 'AlarmList',
            key: '102',
            name: 'realTime-alarm-list',
            path: '/realTime/alarm-list',
            routes: [],
            title: '告警列表',
          },
          // {
          //   component: 'RealTime/AlarmRules',
          //   icon: '',
          //   key: '103',
          //   name: 'realTime-alarm-rules',
          //   path: '/realTime/alarm-rules',
          //   routes: [],
          //   title: '告警规则',
          // },
          {
            component: 'RealTime/DeviceList',
            icon: 'DeviceManagement',
            key: '104',
            name: 'realTime-device-list',
            path: '/realTime/device-list',
            routes: [],
            title: '设备状态',
          },
        ],
      },
      {
        path: '/offline',
        key: '2',
        name: 'offline',
        icon: '',
        component: '',
        title: '离线分析',
        routes: [
          {
            component: 'Offline/InvolvedUploadList',
            icon: 'RecordSummary',
            key: '201',
            name: 'offline-involved-list-upload',
            path: '/offline/involved-list-upload',
            routes: [],
            title: '记录汇总',
          },
          {
            component: 'Offline/OfflineAlarmList',
            icon: 'AlarmList',
            key: '202',
            name: 'offline-alarm-list',
            path: '/offline/alarm-list',
            routes: [],
            title: '告警列表',
          },
          // {
          //   component: 'Offline/OfflineAlarmRules',
          //   icon: '',
          //   key: '203',
          //   name: 'offline-alarm-rules',
          //   path: '/offline/alarm-rules',
          //   routes: [],
          //   title: '告警规则',
          // },
          // {
          //   component: 'Offline/OfflineDeviceList',
          //   icon: '',
          //   key: '204',
          //   name: 'offline-device-list',
          //   path: '/offline/device-list',
          //   routes: [],
          //   title: '设备管理',
          // },
          // {
          //   component: 'Offline/VideoFile',
          //   icon: '',
          //   key: '205',
          //   name: 'offline-video-file',
          //   path: '/offline/video-file',
          //   routes: [],
          //   title: '视频文件',
          // },
        ],
      },
    ],
  },
};
