// @ts-ignore
/* eslint-disable */
import { request } from '@umijs/max';

/** 视频列表 */
export async function getVideoList(
  params: API.SearchInvolvedParams,
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(`/api/upload_video/`, {
    method: 'GET',
    headers: {
      'Content-Type': 'application/json',
    },
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 上传关注与取消关注 */
export async function postUploadRecognition(
  body: API.RecognitionParams,
  options?: { [key: string]: any },
) {
  return request<API.Response & { data?: API.PageResult; msg?: string }>(`/api/upload_video/`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
